Discover Government News

=========================================================================Ubuntu Security Notice USN-6083-1
May 17, 2023

cups-filters vulnerability
=========================================================================
A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.04
- Ubuntu 22.10
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS

Summary:

cups-filters could be made to crash or run programs if it received
specially crafted network traffic.

Software Description:
- cups-filters: OpenPrinting CUPS Filters

Details:

It was discovered that cups-filters incorrectly handled the beh CUPS
backend. A remote attacker could possibly use this issue to cause the
backend to stop responding or to execute arbitrary code.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.04:
   cups-filters                    2.0~rc1-0ubuntu1.2

Ubuntu 22.10:
   cups-filters                    1.28.16-1ubuntu0.2

Ubuntu 22.04 LTS:
   cups-filters                    1.28.15-0ubuntu1.2

Ubuntu 20.04 LTS:
   cups-filters                    1.27.4-1ubuntu0.2

Ubuntu 18.04 LTS:
   cups-filters                    1.20.2-0ubuntu3.3

In general, a standard system update will make all the necessary changes.

References:
   https://ubuntu.com/security/notices/USN-6083-1
   CVE-2023-24805

Package Information:
   https://launchpad.net/ubuntu/+source/cups-filters/2.0~rc1-0ubuntu1.2
   https://launchpad.net/ubuntu/+source/cups-filters/1.28.16-1ubuntu0.2
   https://launchpad.net/ubuntu/+source/cups-filters/1.28.15-0ubuntu1.2
   https://launchpad.net/ubuntu/+source/cups-filters/1.27.4-1ubuntu0.2
   https://launchpad.net/ubuntu/+source/cups-filters/1.20.2-0ubuntu3.3

Ubuntu 6083-1: cups-filters vulnerability

May 17, 2023
cups-filters could be made to crash or run programs if it received specially crafted network traffic.

Summary

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 23.04: cups-filters 2.0~rc1-0ubuntu1.2 Ubuntu 22.10: cups-filters 1.28.16-1ubuntu0.2 Ubuntu 22.04 LTS: cups-filters 1.28.15-0ubuntu1.2 Ubuntu 20.04 LTS: cups-filters 1.27.4-1ubuntu0.2 Ubuntu 18.04 LTS: cups-filters 1.20.2-0ubuntu3.3 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-6083-1

CVE-2023-24805

Severity
May 17, 2023

Package Information

https://launchpad.net/ubuntu/+source/cups-filters/2.0~rc1-0ubuntu1.2 https://launchpad.net/ubuntu/+source/cups-filters/1.28.16-1ubuntu0.2 https://launchpad.net/ubuntu/+source/cups-filters/1.28.15-0ubuntu1.2 https://launchpad.net/ubuntu/+source/cups-filters/1.27.4-1ubuntu0.2 https://launchpad.net/ubuntu/+source/cups-filters/1.20.2-0ubuntu3.3

Related News